Sign in to follow this  
Followers 0
gseller

GuiList.au3 is not in 3.2.10.0 build?

14 posts in this topic

So I just installed 3.2.10.0 build at work to try to fix the issue with symantech(norton's) and now GuiList.au3 is missing from includes. Did they rename it? I need to recompile an app to keep norton's from snaging int in my corporate world.. LOL Can anyone help? Smoke_N I seen you talking about it here Can you help me out?

Share this post


Link to post
Share on other sites



So I just installed 3.2.10.0 build at work to try to fix the issue with symantech(norton's) and now GuiList.au3 is missing from includes. Did they rename it? I need to recompile an app to keep norton's from snaging int in my corporate world.. LOL Can anyone help? Smoke_N I seen you talking about it here Can you help me out?

I think you might be looking for stuff around _GUICtrlListBox_* in the help file.

:P


Valuater's AutoIt 1-2-3, Class... Is now in Session!For those who want somebody to write the script for them: RentACoder"Any technology distinguishable from magic is insufficiently advanced." -- Geek's corollary to Clarke's law

Share this post


Link to post
Share on other sites

Thanks both of you. GuiListBox.au3 does appear to be the switched name. My application was working fine with GuiList.au3 and with the new build it is gone. I cannot make my script that was working completely function GuiListBox.au3 but will keep trying.. learning my lesson. Don't be so quick to grab the latest build. Let it have some time to get the bugs out. :P

Share this post


Link to post
Share on other sites

Thanks both of you. GuiListBox.au3 does appear to be the switched name. My application was working fine with GuiList.au3 and with the new build it is gone. I cannot make my script that was working completely function GuiListBox.au3 but will keep trying.. learning my lesson. Don't be so quick to grab the latest build. Let it have some time to get the bugs out. :P

It's not BUG. It isn't backward compatible only.

Look at begin of GuiListBox.au3 - there is list of

; Old Function/Name ; --> New Function/Name/Replacement(s)

Share this post


Link to post
Share on other sites

Still, would be nice to have a little warning so provisioning on current scripts can be made.

Share this post


Link to post
Share on other sites

Still, would be nice to have a little warning so provisioning on current scripts can be made.

I think the idea is that stability is in the production version. Monitoring the Beta versions is how you get you warning. Nothing showed up in the new production 3.2.10.0 that wasn't passed through the 3.2.9.* Betas first.

So, for the next cycle: Test your scripts occasionally against the 3.2.11.* Betas (or however they get numbered) as they come out. Possible changes will be tried there before a new 3.2.12.0 production (or 3.3.0.0, whatever) comes out. Should give you plenty of warning about what's coming.

You could also monitor the Developer forums if you really want some information overload!

:P


Valuater's AutoIt 1-2-3, Class... Is now in Session!For those who want somebody to write the script for them: RentACoder"Any technology distinguishable from magic is insufficiently advanced." -- Geek's corollary to Clarke's law

Share this post


Link to post
Share on other sites

Haha, I am barely smart enought to keep up with the production builds.. LOL Developers area is way tmi..

Share this post


Link to post
Share on other sites

Greetings!

Just wanted to say thank you to you guys for this post...I was banging my head against the wall wondering why everything changed with the new release!

I would have to agree with gesller on his comments, though...nowhere in the production version history does it mention that virtually all the GUI stuff has been changed over to incorporate the AU3Lib stuff. After poking around, I see that the beta version history has it listed.

I agree that stability is the driving force behind the production versions - which is exactly the reason that many people will only download those versions (especially when you are running critical programs). I think a small warning - or at least a mention of the major change - in the history would prove to be beneficial to those people (me included).

A lesson learned for me, I guess...now to start re-coding my 10,000 line script...

:P

Share this post


Link to post
Share on other sites

I think a small warning - or at least a mention of the major change - in the history would prove to be beneficial to those people (me included).

Major changes not listed in release history was made in UDF and not in AutoIt.

So maybe such major UDF changes should be listed in AutoIt history too.

Share this post


Link to post
Share on other sites

Just read the help file history LINK

WARNING: The next release of AutoIt will have the following changes which will break backwards compatibility:


AutoIt Scripts:NetPrinter - Network Printer UtilityRobocopyGUI - GUI interface for M$ robocopy command line

Share this post


Link to post
Share on other sites

Yes, I did read that the NEXT release would break backwards compatibility...not this release. It goes on to explain why it will break backwards compatibility - GUIConstants.au3/GUIConstantsEx.au3.

Once again, lesson learned on my part. And yes, I will (slowly) start to port my scripts over to the new release to gain the new functionality. Perhaps, like Zedna said, a mention of the major change in UDF's - which are included in the install package - would have been a good mention, even if the core AutoIt files weren't affected.

Thanks again for everyone's feedback and support. This is one of the best support forums out there!

Just read the help file history LINK

WARNING: The next release of AutoIt will have the following changes which will break backwards compatibility:

Share this post


Link to post
Share on other sites

George

Question about decompiling code? Read the decompiling FAQ and don't bother posting the question in the forums.

Be sure to read and follow the forum rules. -AKA the AutoIt Reading and Comprehension Skills test.***

The PCRE (Regular Expression) ToolKit for AutoIT - (Updated Oct 20, 2011 ver:3.0.1.13) - Please update your current version before filing any bug reports. The installer now includes both 32 and 64 bit versions. No change in version number.

Visit my Blog .. currently not active but it will soon be resplendent with news and views. Also please remove any links you may have to my website. it is soon to be closed and replaced with something else.

"Old age and treachery will always overcome youth and skill!"

Share this post


Link to post
Share on other sites

Yes, I did read that the NEXT release would break backwards compatibility...not this release. It goes on to explain why it will break backwards compatibility - GUIConstants.au3/GUIConstantsEx.au3.

Once again, lesson learned on my part. And yes, I will (slowly) start to port my scripts over to the new release to gain the new functionality. Perhaps, like Zedna said, a mention of the major change in UDF's - which are included in the install package - would have been a good mention, even if the core AutoIt files weren't affected.

Thanks again for everyone's feedback and support. This is one of the best support forums out there!

I agree, this is a great support forum. I now have to work on going forward. Am looking forward to getting help to rework my current scripts..

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
Sign in to follow this  
Followers 0